Class | Bio::TRANSFAC
In: | lib/bio/db/transfac.rb
Parent: | EMBLDB

### Methods

ac cc comment date dt entry_id new oc org_class org_species os ra ref_authors ref_data ref_no ref_title rl rn rt

### Classes and Modules

Class Bio::TRANSFAC::CELL
Class Bio::TRANSFAC::CLASS
Class Bio::TRANSFAC::FACTOR
Class Bio::TRANSFAC::GENE
Class Bio::TRANSFAC::MATRIX
Class Bio::TRANSFAC::SITE

### Constants

DELIMITER | = | RS = "\n//\n"
TAGSIZE | = | 4

### Public Class methods

new(entry)

[Source]

        # File lib/bio/db/transfac.rb, line 21
    21:   def initialize(entry)
    22:     super(entry, TAGSIZE)
    23:   end

### Public Instance methods

ac()

AC Accession number (1 per entry)

     AC  T00001   in the case of FACTOR
     AC  M00001   in the case of MATRIX
     AC  R00001   in the case of SITE
     AC  G000001  in the case of GENE
     AC  C00001   in the case of CLASS
     AC  00001    in the case of CELL

[Source]

        # File lib/bio/db/transfac.rb, line 34
    34:   def ac
    35:     unless @data['AC']
    36:       @data['AC'] = fetch('AC')
    37:     end
    38:     @data['AC']
    39:   end

cc()

[Source]

        # File lib/bio/db/transfac.rb, line 52
    52:   def cc
    53:     field_fetch('CC')
    54:   end

comment()

Alias for cc

date()

Alias for dt

dt()

DT Date (1 per entry)

     DT  DD.MM.YYYY (created); ewi.
     DT  DD.MM.YYYY (updated); mpr.

[Source]

        # File lib/bio/db/transfac.rb, line 47
    47:   def dt
    48:     field_fetch('DT')
    49:   end

entry_id()

Alias for ac

oc()

[Source]

        # File lib/bio/db/transfac.rb, line 62
    62:   def oc
    63:     field_fetch('OC')
    64:   end

org_class()

Alias for oc

org_species()

Alias for os

os()

[Source]

        # File lib/bio/db/transfac.rb, line 57
    57:   def os
    58:     field_fetch('OS')
    59:   end

ra()

[Source]

        # File lib/bio/db/transfac.rb, line 72
    72:   def ra
    73:     field_fetch('RA')
    74:   end

ref_authors()

Alias for ra

ref_data()

Alias for rl

ref_no()

Alias for rn

ref_title()

Alias for rt

rl()

[Source]

        # File lib/bio/db/transfac.rb, line 82
    82:   def rl
    83:     field_fetch('RL')
    84:   end

rn()

[Source]

        # File lib/bio/db/transfac.rb, line 67
    67:   def rn
    68:     field_fetch('RN')
    69:   end

rt()

[Source]

        # File lib/bio/db/transfac.rb, line 77
    77:   def rt
    78:     field_fetch('RT')
    79:   end

[Validate]